yuminstall() {
echo "*************************************************"
cecho "* Installing Development Tools" $boldgreen
echo "*************************************************"
echo "please wait for yum download and installs to complete."
echo "yum installs in silent mode so final install status is only shown.."
echo "...."
echo "......"
echo "........."

if [[ "$CENTOSVER" = '6.0' || "$CENTOSVER" = '6.1' || "$CENTOSVER" = '6.2' ]]; then
yum -y -q install yum-plugin-priorities
else
yum -y -q install yum-priorities
fi

if [[ "$CENTOSVER" = '5.3' || "$CENTOSVER" = '5.4' || "$CENTOSVER" = '5.5' || "$CENTOSVER" = '5.6' || "$CENTOSVER" = '5.7' ]]; then
cd /usr/local/src

if [ -s epel-release-5-4.noarch.rpm ]; then
  echo "epel-release-5-4.noarch.rpm [found]"
  else
  echo "Error: epel-release-5-4.noarch.rpm not found!!!download now......"
  wget -c http://dl.fedoraproject.org/pub/epel/5/`uname -m`/epel-release-5-4.noarch.rpm --tries=3

fi

rpm -i epel-release-5-4.noarch.rpm

if [ -s rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm ]; then
  echo "rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm [found]"
  else
  echo "Error: rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm not found!!!download now......"
  wget -c http://apt.sw.be/redhat/el5/en/`uname -m`/rpmforge/RPMS/rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm --tries=3

fi

rpm --import http://apt.sw.be/RPM-GPG-KEY.dag.txt
rpm -i rpmforge-release-0.5.2-2.el5.rf.${ARCH}.rpm

fi # CENTOS 5.x

yum -y install autoconf autoconf213

yum -y -q install cronie crontabs cronie-anacron nc

yum -y -q remove openssl.i686

yum -y -q install gcc gcc-c++ automake distcache

yum -y -q install libtool make libXext-devel unzip slocate patch sysstat gcc44 gcc44-c++ zlib zlib-devel libc-client-devel openssh openssl gd gd-devel pcre pcre-devel flex bison file libgcj gettext gettext-devel e2fsprogs-devel libtool-libs libtool-ltdl-devel kernel-devel libidn libidn-devel krb5-devel libjpeg libjpeg-devel libpng libpng-devel freetype freetype-devel libxml2 libxml2-devel libXpm-devel libmcrypt libmcrypt-devel glib2 glib2-devel 

yum -y -q install bzip2 bzip2-devel vim-minimal nano ncurses ncurses-devel curl curl-devel e2fsprogs gmp-devel pspell-devel aspell-devel numactl lsof pkgconfig gdbm-devel tk-devel bluez-libs-devel iptables* rrdtool diffutils libc-client libc-client-devel which 

yum -y -q install ImageMagicK perl-ExtUtils-MakeMaker perl-Time-HiRes cyrus-sasl cyrus-sasl-devel openldap openldap-devel strace pam pam-devel cmake libaio libaio-devel 

#yum -y -q install db4-devel dbh-develdbus-c++-devel dbus-devel dbus-glib-devel dbus-python-devel dbus-qt-devel

yum -y -q install mytop iftop iotop
if [ -f /usr/bin/mytop ]; then
sed -i 's/"long|!"/"long|long_nums|l!"/g' /usr/bin/mytop
fi

if [[ "$CENTOSVER" = '6.0' || "$CENTOSVER" = '6.1' || "$CENTOSVER" = '6.2' ]]; then

echo "*************************************************"
cecho "* CentOS 6 / 6.1 / 6.2 detected installing EPEL Repo" $boldgreen
echo "*************************************************"

    if [ ${MACHINE_TYPE} == 'x86_64' ];
    then
        ARCH='x86_64'
       RPMFARCH='x86_64'
    else
        ARCH='i686'
        RPMFARCH='i386'
    fi

cd /usr/local/src

if [ -s epel-release-6-5.noarch.rpm ]; then
  echo "epel-release-6-5.noarch.rpm [found]"
  else
  echo "Error: epel-release-6-5.noarch.rpm not found!!!download now......"
  wget -c http://download.fedoraproject.org/pub/epel/6/${RPMFARCH}//epel-release-6-5.noarch.rpm --tries=3

fi

rpm -i epel-release-6-5.noarch.rpm

if [ -s rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm ]; then
  echo "rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm [found]"
  else
  echo "Error: rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm not found!!!download now......"
  wget -c http://apt.sw.be/redhat/el6/en/${RPMFARCH}/rpmforge/RPMS/rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm --tries=3

fi

rpm --import http://apt.sw.be/RPM-GPG-KEY.dag.txt
rpm -i rpmforge-release-0.5.2-2.el6.rf.${ARCH}.rpm

# CentOS 6 repo mirrors aren't fully updated so need to specify actual kernel-headers version
yum -y install axel mlocate libmcrypt libmcrypt-devel kernel-headers-`uname -r` kernel-devel-`uname -r`

fi

}